com.holonplatform.jpa.spring

## Class JpaDatastoreConfigProperties.JpaDatastoreConfigPropertiesImpl

- java.lang.Object
- - com.holonplatform.core.internal.config.DefaultConfigPropertySet
  - - com.holonplatform.jpa.spring.JpaDatastoreConfigProperties.JpaDatastoreConfigPropertiesImpl

- All Implemented Interfaces:
    com.holonplatform.core.config.ConfigPropertySet, com.holonplatform.core.datastore.DataContextBound, JpaDatastoreConfigProperties
  Enclosing interface:
    JpaDatastoreConfigProperties

      public static class JpaDatastoreConfigProperties.JpaDatastoreConfigPropertiesImpl
      extends com.holonplatform.core.internal.config.DefaultConfigPropertySet
      implements JpaDatastoreConfigProperties

  Default implementation

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.holonplatform.core.internal.config.DefaultConfigPropertySet

      `com.holonplatform.core.internal.config.DefaultConfigPropertySet.DefaultBuilder<C extends com.holonplatform.core.config.ConfigPropertySet>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.jpa.spring.JpaDatastoreConfigProperties

      `JpaDatastoreConfigProperties.JpaDatastoreConfigPropertiesImpl`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.config.ConfigPropertySet

      `com.holonplatform.core.config.ConfigPropertySet.Builder<C extends com.holonplatform.core.config.ConfigPropertySet>, com.holonplatform.core.config.ConfigPropertySet.ConfigurationException`

  - ### Field Summary

    - ### Fields inherited from interface com.holonplatform.jpa.spring.JpaDatastoreConfigProperties

      `AUTO_FLUSH, DEFAULT_NAME, PRIMARY, TRANSACTIONAL`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JpaDatastoreConfigPropertiesImpl(String dataContextId)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Optional<String>` | `getDataContextId()`

    - ### Methods inherited from class com.holonplatform.core.internal.config.DefaultConfigPropertySet

      `addAliasName, addPropertyProvider, getConfigPropertyName, getConfigPropertyValue, getName, getSubPropertiesUsingPrefix, hasConfigProperty, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.holonplatform.jpa.spring.JpaDatastoreConfigProperties

      `builder, builder`

    - ### Methods inherited from interface com.holonplatform.core.config.ConfigPropertySet

      `getConfigPropertyName, getConfigPropertyValue, getConfigPropertyValue, getConfigPropertyValueOrElse, getName, getSubPropertiesUsingPrefix, hasConfigProperty`

- - ### Constructor Detail

    - #### JpaDatastoreConfigPropertiesImpl

          public JpaDatastoreConfigPropertiesImpl(String dataContextId)

  - ### Method Detail

    - #### getDataContextId

          public Optional<String> getDataContextId()

      Specified by:
        `getDataContextId` in interface `com.holonplatform.core.datastore.DataContextBound`

Copyright © 2019 The Holon Platform. All rights reserved.